/* WallpaperContainer.c generated by valac 0.39.7, the Vala compiler
 * generated from WallpaperContainer.vala, do not modify */

/*-
 * Copyright (c) 2015-2017 elementary LLC. (https://bugs.launchpad.net/switchboard-plug-pantheon-shell)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Erasmo Marín
 *
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <stdlib.h>
#include <string.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <gdk/gdk.h>
#include <gio/gio.h>


#define TYPE_WALLPAPER_CONTAINER (wallpaper_container_get_type ())
#define WALLPAPER_CONTAINER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_WALLPAPER_CONTAINER, WallpaperContainer))
#define WALLPAPER_CONTAINER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_WALLPAPER_CONTAINER, WallpaperContainerClass))
#define IS_WALLPAPER_CONTAINER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_WALLPAPER_CONTAINER))
#define IS_WALLPAPER_CONTAINER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_WALLPAPER_CONTAINER))
#define WALLPAPER_CONTAINER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_WALLPAPER_CONTAINER, WallpaperContainerClass))

typedef struct _WallpaperContainer WallpaperContainer;
typedef struct _WallpaperContainerClass WallpaperContainerClass;
typedef struct _WallpaperContainerPrivate WallpaperContainerPrivate;
enum  {
	WALLPAPER_CONTAINER_0_PROPERTY,
	WALLPAPER_CONTAINER_URI_PROPERTY,
	WALLPAPER_CONTAINER_THUMB_PROPERTY,
	WALLPAPER_CONTAINER_CHECKED_PROPERTY,
	WALLPAPER_CONTAINER_SELECTED_PROPERTY,
	WALLPAPER_CONTAINER_NUM_PROPERTIES
};
static GParamSpec* wallpaper_container_properties[WALLPAPER_CONTAINER_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

struct _WallpaperContainer {
	GtkFlowBoxChild parent_instance;
	WallpaperContainerPrivate * priv;
};

struct _WallpaperContainerClass {
	GtkFlowBoxChildClass parent_class;
};

struct _WallpaperContainerPrivate {
	GtkRevealer* check_revealer;
	GtkImage* image;
	gchar* _uri;
	GdkPixbuf* _thumb;
};


static gpointer wallpaper_container_parent_class = NULL;

GType wallpaper_container_get_type (void) G_GNUC_CONST;
#define WALLPAPER_CONTAINER_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_WALLPAPER_CONTAINER, WallpaperContainerPrivate))
#define WALLPAPER_CONTAINER_CARD_STYLE_CSS "\n" \
"        flowboxchild,\n" \
"        GtkFlowBox .grid-child {\n" \
"            background-color: transparent;\n" \
"        }\n" \
"\n" \
"        flowboxchild:focus .card,\n" \
"        GtkFlowBox .grid-child:focus .card {\n" \
"            border: 3px solid alpha (#000, 0.2);\n" \
"            border-radius: 3px;\n" \
"        }\n" \
"\n" \
"        flowboxchild:focus .card:checked,\n" \
"        GtkFlowBox .grid-child:focus .card:checked {\n" \
"            border-color: @selected_bg_color;\n" \
"        }\n" \
"    "
WallpaperContainer* wallpaper_container_new (const gchar* uri);
WallpaperContainer* wallpaper_container_construct (GType object_type,
                                                   const gchar* uri);
const gchar* wallpaper_container_get_uri (WallpaperContainer* self);
static void wallpaper_container_set_uri (WallpaperContainer* self,
                                  const gchar* value);
GdkPixbuf* wallpaper_container_get_thumb (WallpaperContainer* self);
static void wallpaper_container_set_thumb (WallpaperContainer* self,
                                    GdkPixbuf* value);
gboolean wallpaper_container_get_checked (WallpaperContainer* self);
void wallpaper_container_set_checked (WallpaperContainer* self,
                                      gboolean value);
gboolean wallpaper_container_get_selected (WallpaperContainer* self);
void wallpaper_container_set_selected (WallpaperContainer* self,
                                       gboolean value);
static GObject * wallpaper_container_constructor (GType type,
                                           guint n_construct_properties,
                                           GObjectConstructParam * construct_properties);
gboolean cache_is_cached (const gchar* uri,
                          gint scale);
GdkPixbuf* cache_get_cached_image (const gchar* uri,
                                   gint scale);
gboolean cache_cache_image_pixbuf (GdkPixbuf* pixbuf,
                                   const gchar* uri,
                                   gint scale);
static void _wallpaper_container___lambda4_ (WallpaperContainer* self);
static void __wallpaper_container___lambda4__gtk_flow_box_child_activate (GtkFlowBoxChild* _sender,
                                                                   gpointer self);
static void wallpaper_container_finalize (GObject * obj);
static void _vala_wallpaper_container_get_property (GObject * object,
                                             guint property_id,
                                             GValue * value,
                                             GParamSpec * pspec);
static void _vala_wallpaper_container_set_property (GObject * object,
                                             guint property_id,
                                             const GValue * value,
                                             GParamSpec * pspec);


WallpaperContainer*
wallpaper_container_construct (GType object_type,
                               const gchar* uri)
{
	WallpaperContainer * self = NULL;
#line 76 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	g_return_val_if_fail (uri != NULL, NULL);
#line 77 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	self = (WallpaperContainer*) g_object_new (object_type, "uri", uri, NULL);
#line 76 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	return self;
#line 130 "WallpaperContainer.c"
}


WallpaperContainer*
wallpaper_container_new (const gchar* uri)
{
#line 76 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	return wallpaper_container_construct (TYPE_WALLPAPER_CONTAINER, uri);
#line 139 "WallpaperContainer.c"
}


const gchar*
wallpaper_container_get_uri (WallpaperContainer* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 25 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 25 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp0_ = self->priv->_uri;
#line 25 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	result = _tmp0_;
#line 25 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	return result;
#line 156 "WallpaperContainer.c"
}


static void
wallpaper_container_set_uri (WallpaperContainer* self,
                             const gchar* value)
{
#line 25 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	g_return_if_fail (self != NULL);
#line 25 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	if (g_strcmp0 (value, wallpaper_container_get_uri (self)) != 0) {
#line 168 "WallpaperContainer.c"
		gchar* _tmp0_;
#line 25 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		_tmp0_ = g_strdup (value);
#line 25 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		_g_free0 (self->priv->_uri);
#line 25 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		self->priv->_uri = _tmp0_;
#line 25 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		g_object_notify_by_pspec ((GObject *) self, wallpaper_container_properties[WALLPAPER_CONTAINER_URI_PROPERTY]);
#line 178 "WallpaperContainer.c"
	}
}


GdkPixbuf*
wallpaper_container_get_thumb (WallpaperContainer* self)
{
	GdkPixbuf* result;
	GdkPixbuf* _tmp0_;
#line 26 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 26 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp0_ = self->priv->_thumb;
#line 26 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	result = _tmp0_;
#line 26 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	return result;
#line 196 "WallpaperContainer.c"
}


static gpointer
_g_object_ref0 (gpointer self)
{
#line 26 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	return self ? g_object_ref (self) : NULL;
#line 205 "WallpaperContainer.c"
}


static void
wallpaper_container_set_thumb (WallpaperContainer* self,
                               GdkPixbuf* value)
{
#line 26 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	g_return_if_fail (self != NULL);
#line 26 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	if (wallpaper_container_get_thumb (self) != value) {
#line 217 "WallpaperContainer.c"
		GdkPixbuf* _tmp0_;
#line 26 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 26 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		_g_object_unref0 (self->priv->_thumb);
#line 26 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		self->priv->_thumb = _tmp0_;
#line 26 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		g_object_notify_by_pspec ((GObject *) self, wallpaper_container_properties[WALLPAPER_CONTAINER_THUMB_PROPERTY]);
#line 227 "WallpaperContainer.c"
	}
}


gboolean
wallpaper_container_get_checked (WallpaperContainer* self)
{
	gboolean result;
#line 47 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 48 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	result = (gtk_widget_get_state_flags ((GtkWidget*) self) & GTK_STATE_FLAG_CHECKED) == GTK_STATE_FLAG_CHECKED;
#line 48 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	return result;
#line 242 "WallpaperContainer.c"
}


void
wallpaper_container_set_checked (WallpaperContainer* self,
                                 gboolean value)
{
#line 49 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	g_return_if_fail (self != NULL);
#line 50 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	if (value) {
#line 254 "WallpaperContainer.c"
		GtkImage* _tmp0_;
		GtkRevealer* _tmp1_;
#line 51 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		_tmp0_ = self->priv->image;
#line 51 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		gtk_widget_set_state_flags ((GtkWidget*) _tmp0_, GTK_STATE_FLAG_CHECKED, FALSE);
#line 52 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		_tmp1_ = self->priv->check_revealer;
#line 52 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		gtk_revealer_set_reveal_child (_tmp1_, TRUE);
#line 265 "WallpaperContainer.c"
	} else {
		GtkImage* _tmp2_;
		GtkRevealer* _tmp3_;
#line 54 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		_tmp2_ = self->priv->image;
#line 54 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		gtk_widget_unset_state_flags ((GtkWidget*) _tmp2_, GTK_STATE_FLAG_CHECKED);
#line 55 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		_tmp3_ = self->priv->check_revealer;
#line 55 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		gtk_revealer_set_reveal_child (_tmp3_, FALSE);
#line 277 "WallpaperContainer.c"
	}
#line 58 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	gtk_widget_queue_draw ((GtkWidget*) self);
#line 49 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	g_object_notify_by_pspec ((GObject *) self, wallpaper_container_properties[WALLPAPER_CONTAINER_CHECKED_PROPERTY]);
#line 283 "WallpaperContainer.c"
}


gboolean
wallpaper_container_get_selected (WallpaperContainer* self)
{
	gboolean result;
#line 63 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 64 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	result = (gtk_widget_get_state_flags ((GtkWidget*) self) & GTK_STATE_FLAG_SELECTED) == GTK_STATE_FLAG_SELECTED;
#line 64 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	return result;
#line 297 "WallpaperContainer.c"
}


void
wallpaper_container_set_selected (WallpaperContainer* self,
                                  gboolean value)
{
#line 65 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	g_return_if_fail (self != NULL);
#line 66 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	if (value) {
#line 67 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		gtk_widget_set_state_flags ((GtkWidget*) self, GTK_STATE_FLAG_SELECTED, FALSE);
#line 311 "WallpaperContainer.c"
	} else {
#line 69 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		gtk_widget_unset_state_flags ((GtkWidget*) self, GTK_STATE_FLAG_SELECTED);
#line 315 "WallpaperContainer.c"
	}
#line 72 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	gtk_widget_queue_draw ((GtkWidget*) self);
#line 65 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	g_object_notify_by_pspec ((GObject *) self, wallpaper_container_properties[WALLPAPER_CONTAINER_SELECTED_PROPERTY]);
#line 321 "WallpaperContainer.c"
}


static void
_wallpaper_container___lambda4_ (WallpaperContainer* self)
{
#line 137 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	wallpaper_container_set_checked (self, TRUE);
#line 330 "WallpaperContainer.c"
}


static void
__wallpaper_container___lambda4__gtk_flow_box_child_activate (GtkFlowBoxChild* _sender,
                                                              gpointer self)
{
#line 136 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_wallpaper_container___lambda4_ ((WallpaperContainer*) self);
#line 340 "WallpaperContainer.c"
}


static GObject *
wallpaper_container_constructor (GType type,
                                 guint n_construct_properties,
                                 GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	WallpaperContainer * self;
	gint scale = 0;
	GtkStyleContext* _tmp0_;
	GtkCssProvider* provider = NULL;
	GtkCssProvider* _tmp1_;
	GtkImage* _tmp32_;
	GtkImage* _tmp33_;
	GdkPixbuf* _tmp34_;
	GtkImage* _tmp35_;
	GtkImage* _tmp36_;
	GtkImage* _tmp37_;
	GtkStyleContext* _tmp38_;
	GtkGrid* card_box = NULL;
	GtkGrid* _tmp39_;
	GtkGrid* _tmp40_;
	GtkStyleContext* _tmp41_;
	GtkGrid* _tmp42_;
	GtkImage* _tmp43_;
	GtkGrid* _tmp44_;
	GtkImage* check = NULL;
	GtkImage* _tmp45_;
	GtkImage* _tmp46_;
	GtkImage* _tmp47_;
	GtkRevealer* _tmp48_;
	GtkRevealer* _tmp49_;
	GtkRevealer* _tmp50_;
	GtkImage* _tmp51_;
	GtkOverlay* overlay = NULL;
	GtkOverlay* _tmp52_;
	GtkOverlay* _tmp53_;
	GtkGrid* _tmp54_;
	GtkOverlay* _tmp55_;
	GtkRevealer* _tmp56_;
	GdkPixbuf* _tmp57_;
	gint _tmp58_;
	GdkPixbuf* _tmp59_;
	gint _tmp60_;
	GtkOverlay* _tmp61_;
	GError * _inner_error_ = NULL;
#line 80 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	parent_class = G_OBJECT_CLASS (wallpaper_container_parent_class);
#line 80 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 80 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_WALLPAPER_CONTAINER, WallpaperContainer);
#line 81 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp0_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 81 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	scale = gtk_style_context_get_scale (_tmp0_);
#line 82 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp1_ = gtk_css_provider_new ();
#line 82 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	provider = _tmp1_;
#line 404 "WallpaperContainer.c"
	{
		GtkCssProvider* _tmp2_;
		gint _tmp3_;
		gint _tmp4_;
		GdkScreen* _tmp5_;
		GtkCssProvider* _tmp6_;
#line 84 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		_tmp2_ = provider;
#line 84 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		_tmp3_ = strlen (WALLPAPER_CONTAINER_CARD_STYLE_CSS);
#line 84 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		_tmp4_ = _tmp3_;
#line 84 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		gtk_css_provider_load_from_data (_tmp2_, WALLPAPER_CONTAINER_CARD_STYLE_CSS, (gssize) _tmp4_, &_inner_error_);
#line 84 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 421 "WallpaperContainer.c"
			goto __catch14_g_error;
		}
#line 85 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		_tmp5_ = gdk_screen_get_default ();
#line 85 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		_tmp6_ = provider;
#line 85 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		gtk_style_context_add_provider_for_screen (_tmp5_, (GtkStyleProvider*) _tmp6_, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 430 "WallpaperContainer.c"
	}
	goto __finally14;
	__catch14_g_error:
	{
		GError* e = NULL;
		GError* _tmp7_;
		const gchar* _tmp8_;
#line 83 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		e = _inner_error_;
#line 83 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		_inner_error_ = NULL;
#line 87 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		_tmp7_ = e;
#line 87 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		_tmp8_ = _tmp7_->message;
#line 87 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		g_critical ("WallpaperContainer.vala:87: %s", _tmp8_);
#line 83 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		_g_error_free0 (e);
#line 450 "WallpaperContainer.c"
	}
	__finally14:
#line 83 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 83 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		_g_object_unref0 (provider);
#line 83 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 83 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		g_clear_error (&_inner_error_);
#line 461 "WallpaperContainer.c"
	}
	{
		const gchar* _tmp9_;
#line 91 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		_tmp9_ = self->priv->_uri;
#line 91 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		if (_tmp9_ != NULL) {
#line 469 "WallpaperContainer.c"
			const gchar* _tmp10_;
			gint _tmp11_;
#line 92 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
			_tmp10_ = self->priv->_uri;
#line 92 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
			_tmp11_ = scale;
#line 92 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
			if (cache_is_cached (_tmp10_, _tmp11_)) {
#line 478 "WallpaperContainer.c"
				const gchar* _tmp12_;
				gint _tmp13_;
				GdkPixbuf* _tmp14_;
				GdkPixbuf* _tmp15_;
#line 93 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
				_tmp12_ = self->priv->_uri;
#line 93 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
				_tmp13_ = scale;
#line 93 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
				_tmp14_ = cache_get_cached_image (_tmp12_, _tmp13_);
#line 93 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
				_tmp15_ = _tmp14_;
#line 93 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
				wallpaper_container_set_thumb (self, _tmp15_);
#line 93 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
				_g_object_unref0 (_tmp15_);
#line 495 "WallpaperContainer.c"
			} else {
				gchar* _tmp16_ = NULL;
				const gchar* _tmp17_;
				gchar* _tmp18_;
				GdkPixbuf* _tmp19_ = NULL;
				gint _tmp20_;
				gint _tmp21_;
				GdkPixbuf* _tmp22_;
				GdkPixbuf* _tmp23_;
				const gchar* _tmp24_;
				gint _tmp25_;
#line 95 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
				_tmp17_ = self->priv->_uri;
#line 95 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
				_tmp18_ = g_filename_from_uri (_tmp17_, NULL, &_inner_error_);
#line 95 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
				_tmp16_ = _tmp18_;
#line 95 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 515 "WallpaperContainer.c"
					goto __catch15_g_error;
				}
#line 95 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
				_tmp20_ = scale;
#line 95 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
				_tmp21_ = scale;
#line 95 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
				_tmp22_ = gdk_pixbuf_new_from_file_at_scale (_tmp16_, 162 * _tmp20_, 100 * _tmp21_, FALSE, &_inner_error_);
#line 95 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
				_tmp19_ = _tmp22_;
#line 95 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 95 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
					_g_free0 (_tmp16_);
#line 530 "WallpaperContainer.c"
					goto __catch15_g_error;
				}
#line 95 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
				wallpaper_container_set_thumb (self, _tmp19_);
#line 96 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
				_tmp23_ = self->priv->_thumb;
#line 96 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
				_tmp24_ = self->priv->_uri;
#line 96 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
				_tmp25_ = scale;
#line 96 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
				cache_cache_image_pixbuf (_tmp23_, _tmp24_, _tmp25_);
#line 92 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
				_g_object_unref0 (_tmp19_);
#line 92 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
				_g_free0 (_tmp16_);
#line 547 "WallpaperContainer.c"
			}
		} else {
			gint _tmp26_;
			gint _tmp27_;
			GdkPixbuf* _tmp28_;
			GdkPixbuf* _tmp29_;
#line 99 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
			_tmp26_ = scale;
#line 99 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
			_tmp27_ = scale;
#line 99 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
			_tmp28_ = gdk_pixbuf_new (GDK_COLORSPACE_RGB, FALSE, 8, 162 * _tmp26_, 100 * _tmp27_);
#line 99 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
			_tmp29_ = _tmp28_;
#line 99 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
			wallpaper_container_set_thumb (self, _tmp29_);
#line 99 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
			_g_object_unref0 (_tmp29_);
#line 566 "WallpaperContainer.c"
		}
	}
	goto __finally15;
	__catch15_g_error:
	{
		GError* e = NULL;
		GError* _tmp30_;
		const gchar* _tmp31_;
#line 90 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		e = _inner_error_;
#line 90 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		_inner_error_ = NULL;
#line 102 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		_tmp30_ = e;
#line 102 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		_tmp31_ = _tmp30_->message;
#line 102 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		g_critical ("WallpaperContainer.vala:102: Failed to load wallpaper thumbnail: %s", _tmp31_);
#line 103 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		_g_error_free0 (e);
#line 103 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		_g_object_unref0 (provider);
#line 103 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		return obj;
#line 591 "WallpaperContainer.c"
	}
	__finally15:
#line 90 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 90 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		_g_object_unref0 (provider);
#line 90 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 90 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		g_clear_error (&_inner_error_);
#line 602 "WallpaperContainer.c"
	}
#line 106 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp32_ = (GtkImage*) gtk_image_new ();
#line 106 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	g_object_ref_sink (_tmp32_);
#line 106 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (self->priv->image);
#line 106 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	self->priv->image = _tmp32_;
#line 107 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp33_ = self->priv->image;
#line 107 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp34_ = self->priv->_thumb;
#line 107 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	g_object_set (_tmp33_, "gicon", (GIcon*) _tmp34_, NULL);
#line 108 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp35_ = self->priv->image;
#line 108 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp35_, GTK_ALIGN_CENTER);
#line 109 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp36_ = self->priv->image;
#line 109 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp36_, GTK_ALIGN_CENTER);
#line 110 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp37_ = self->priv->image;
#line 110 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp38_ = gtk_widget_get_style_context ((GtkWidget*) _tmp37_);
#line 110 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	gtk_style_context_set_scale (_tmp38_, 1);
#line 112 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp39_ = (GtkGrid*) gtk_grid_new ();
#line 112 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	g_object_ref_sink (_tmp39_);
#line 112 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	card_box = _tmp39_;
#line 113 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp40_ = card_box;
#line 113 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp41_ = gtk_widget_get_style_context ((GtkWidget*) _tmp40_);
#line 113 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	gtk_style_context_add_class (_tmp41_, "card");
#line 114 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp42_ = card_box;
#line 114 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp43_ = self->priv->image;
#line 114 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	gtk_container_add ((GtkContainer*) _tmp42_, (GtkWidget*) _tmp43_);
#line 115 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp44_ = card_box;
#line 115 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	g_object_set ((GtkWidget*) _tmp44_, "margin", 9, NULL);
#line 117 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp45_ = (GtkImage*) gtk_image_new_from_icon_name ("selection-checked", (GtkIconSize) GTK_ICON_SIZE_LARGE_TOOLBAR);
#line 117 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	g_object_ref_sink (_tmp45_);
#line 117 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	check = _tmp45_;
#line 118 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp46_ = check;
#line 118 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp46_, GTK_ALIGN_START);
#line 119 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp47_ = check;
#line 119 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp47_, GTK_ALIGN_START);
#line 121 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp48_ = (GtkRevealer*) gtk_revealer_new ();
#line 121 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	g_object_ref_sink (_tmp48_);
#line 121 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (self->priv->check_revealer);
#line 121 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	self->priv->check_revealer = _tmp48_;
#line 122 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp49_ = self->priv->check_revealer;
#line 122 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	gtk_revealer_set_transition_type (_tmp49_, GTK_REVEALER_TRANSITION_TYPE_CROSSFADE);
#line 123 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp50_ = self->priv->check_revealer;
#line 123 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp51_ = check;
#line 123 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	gtk_container_add ((GtkContainer*) _tmp50_, (GtkWidget*) _tmp51_);
#line 125 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp52_ = (GtkOverlay*) gtk_overlay_new ();
#line 125 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	g_object_ref_sink (_tmp52_);
#line 125 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	overlay = _tmp52_;
#line 126 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp53_ = overlay;
#line 126 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp54_ = card_box;
#line 126 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	gtk_container_add ((GtkContainer*) _tmp53_, (GtkWidget*) _tmp54_);
#line 127 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp55_ = overlay;
#line 127 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp56_ = self->priv->check_revealer;
#line 127 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	gtk_overlay_add_overlay (_tmp55_, (GtkWidget*) _tmp56_);
#line 129 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	gtk_widget_set_halign ((GtkWidget*) self, GTK_ALIGN_CENTER);
#line 130 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	gtk_widget_set_valign ((GtkWidget*) self, GTK_ALIGN_CENTER);
#line 131 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp57_ = self->priv->_thumb;
#line 131 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp58_ = scale;
#line 131 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	g_object_set ((GtkWidget*) self, "height-request", (gdk_pixbuf_get_height (_tmp57_) / _tmp58_) + 18, NULL);
#line 132 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp59_ = self->priv->_thumb;
#line 132 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp60_ = scale;
#line 132 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	g_object_set ((GtkWidget*) self, "width-request", (gdk_pixbuf_get_width (_tmp59_) / _tmp60_) + 18, NULL);
#line 133 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	g_object_set ((GtkWidget*) self, "margin", 6, NULL);
#line 134 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_tmp61_ = overlay;
#line 134 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp61_);
#line 136 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	g_signal_connect_object ((GtkFlowBoxChild*) self, "activate", (GCallback) __wallpaper_container___lambda4__gtk_flow_box_child_activate, self, 0);
#line 80 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (overlay);
#line 80 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (check);
#line 80 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (card_box);
#line 80 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (provider);
#line 80 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	return obj;
#line 738 "WallpaperContainer.c"
}


static void
wallpaper_container_class_init (WallpaperContainerClass * klass)
{
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	wallpaper_container_parent_class = g_type_class_peek_parent (klass);
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	g_type_class_add_private (klass, sizeof (WallpaperContainerPrivate));
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_wallpaper_container_get_property;
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_wallpaper_container_set_property;
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	G_OBJECT_CLASS (klass)->constructor = wallpaper_container_constructor;
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	G_OBJECT_CLASS (klass)->finalize = wallpaper_container_finalize;
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), WALLPAPER_CONTAINER_URI_PROPERTY, wallpaper_container_properties[WALLPAPER_CONTAINER_URI_PROPERTY] = g_param_spec_string ("uri", "uri", "uri", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), WALLPAPER_CONTAINER_THUMB_PROPERTY, wallpaper_container_properties[WALLPAPER_CONTAINER_THUMB_PROPERTY] = g_param_spec_object ("thumb", "thumb", "thumb", gdk_pixbuf_get_type (), G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), WALLPAPER_CONTAINER_CHECKED_PROPERTY, wallpaper_container_properties[WALLPAPER_CONTAINER_CHECKED_PROPERTY] = g_param_spec_boolean ("checked", "checked", "checked", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), WALLPAPER_CONTAINER_SELECTED_PROPERTY, wallpaper_container_properties[WALLPAPER_CONTAINER_SELECTED_PROPERTY] = g_param_spec_boolean ("selected", "selected", "selected", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 765 "WallpaperContainer.c"
}


static void
wallpaper_container_instance_init (WallpaperContainer * self)
{
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	self->priv = WALLPAPER_CONTAINER_GET_PRIVATE (self);
#line 774 "WallpaperContainer.c"
}


static void
wallpaper_container_finalize (GObject * obj)
{
	WallpaperContainer * self;
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_WALLPAPER_CONTAINER, WallpaperContainer);
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (self->priv->check_revealer);
#line 23 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (self->priv->image);
#line 25 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_g_free0 (self->priv->_uri);
#line 26 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (self->priv->_thumb);
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	G_OBJECT_CLASS (wallpaper_container_parent_class)->finalize (obj);
#line 794 "WallpaperContainer.c"
}


GType
wallpaper_container_get_type (void)
{
	static volatile gsize wallpaper_container_type_id__volatile = 0;
	if (g_once_init_enter (&wallpaper_container_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (WallpaperContainerClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) wallpaper_container_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (WallpaperContainer), 0, (GInstanceInitFunc) wallpaper_container_instance_init, NULL };
		GType wallpaper_container_type_id;
		wallpaper_container_type_id = g_type_register_static (gtk_flow_box_child_get_type (), "WallpaperContainer", &g_define_type_info, 0);
		g_once_init_leave (&wallpaper_container_type_id__volatile, wallpaper_container_type_id);
	}
	return wallpaper_container_type_id__volatile;
}


static void
_vala_wallpaper_container_get_property (GObject * object,
                                        guint property_id,
                                        GValue * value,
                                        GParamSpec * pspec)
{
	WallpaperContainer * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_WALLPAPER_CONTAINER, WallpaperContainer);
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	switch (property_id) {
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		case WALLPAPER_CONTAINER_URI_PROPERTY:
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		g_value_set_string (value, wallpaper_container_get_uri (self));
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		break;
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		case WALLPAPER_CONTAINER_THUMB_PROPERTY:
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		g_value_set_object (value, wallpaper_container_get_thumb (self));
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		break;
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		case WALLPAPER_CONTAINER_CHECKED_PROPERTY:
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		g_value_set_boolean (value, wallpaper_container_get_checked (self));
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		break;
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		case WALLPAPER_CONTAINER_SELECTED_PROPERTY:
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		g_value_set_boolean (value, wallpaper_container_get_selected (self));
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		break;
#line 846 "WallpaperContainer.c"
		default:
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		break;
#line 852 "WallpaperContainer.c"
	}
}


static void
_vala_wallpaper_container_set_property (GObject * object,
                                        guint property_id,
                                        const GValue * value,
                                        GParamSpec * pspec)
{
	WallpaperContainer * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_WALLPAPER_CONTAINER, WallpaperContainer);
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
	switch (property_id) {
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		case WALLPAPER_CONTAINER_URI_PROPERTY:
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		wallpaper_container_set_uri (self, g_value_get_string (value));
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		break;
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		case WALLPAPER_CONTAINER_THUMB_PROPERTY:
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		wallpaper_container_set_thumb (self, g_value_get_object (value));
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		break;
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		case WALLPAPER_CONTAINER_CHECKED_PROPERTY:
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		wallpaper_container_set_checked (self, g_value_get_boolean (value));
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		break;
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		case WALLPAPER_CONTAINER_SELECTED_PROPERTY:
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		wallpaper_container_set_selected (self, g_value_get_boolean (value));
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		break;
#line 891 "WallpaperContainer.c"
		default:
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Widgets/WallpaperContainer.vala"
		break;
#line 897 "WallpaperContainer.c"
	}
}



